REST API Reference
Endpoints, authentication, and code examples to integrate Contextaify programmatically.
Base URL
https://api.contextaify.com/v1Authentication
All requests require a Bearer token in the Authorization header.
bash
curl -H "Authorization: Bearer YOUR_API_KEY" \
https://api.contextaify.com/v1/contextsRate limits
| Plan | Limit | Burst |
|---|---|---|
| Free | 60 req/min | 10 |
| Pro | 300 req/min | 50 |
| Business | 1,000 req/min | 100 |
| Enterprise | Custom | Custom |
Endpoints
Contexts
GET
/v1/contextsdocs.api.ep.listContexts
bash
curl -H "Authorization: Bearer YOUR_API_KEY" \
https://api.contextaify.com/v1/contextsGET
/v1/contexts/:iddocs.api.ep.getContext
bash
curl -H "Authorization: Bearer YOUR_API_KEY" \
https://api.contextaify.com/v1/contexts/ctx_abc123POST
/v1/contextsdocs.api.ep.createContext
bash
curl -X POST \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "Brand Guidelines",
"content": "# Brand Guidelines\n\nOur brand...",
"tags": ["brand", "marketing"]
}' \
https://api.contextaify.com/v1/contextsPUT
/v1/contexts/:iddocs.api.ep.updateContext
bash
curl -X PUT \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"content": "# Updated Brand Guidelines\n\n..."
}' \
https://api.contextaify.com/v1/contexts/ctx_def456DELETE
/v1/contexts/:iddocs.api.ep.deleteContext
bash
curl -X DELETE \
-H "Authorization: Bearer YOUR_API_KEY" \
https://api.contextaify.com/v1/contexts/ctx_def456Versions
GET
/v1/contexts/:id/versionsdocs.api.ep.listVersions
bash
curl -H "Authorization: Bearer YOUR_API_KEY" \
https://api.contextaify.com/v1/contexts/ctx_abc123/versionsExport
GET
/v1/contexts/:id/exportdocs.api.ep.exportContext
bash
curl -H "Authorization: Bearer YOUR_API_KEY" \
"https://api.contextaify.com/v1/contexts/ctx_abc123/export?format=pdf"Error codes
| Code | Meaning |
|---|---|
| 400 | docs.api.errors.400 |
| 401 | docs.api.errors.401 |
| 403 | docs.api.errors.403 |
| 404 | docs.api.errors.404 |
| 429 | docs.api.errors.429 |
| 500 | docs.api.errors.500 |